Attribution Task
curl --request POST \
--url https://ai.getlynks.io/api/tasks/attribution \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-OpenAI-Key: <api-key>' \
--data '
{
"product_description": "<string>"
}
'import requests
url = "https://ai.getlynks.io/api/tasks/attribution"
payload = { "product_description": "<string>" }
headers = {
"X-Api-Key": "<api-key>",
"X-OpenAI-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Api-Key': '<api-key>',
'X-OpenAI-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({product_description: '<string>'})
};
fetch('https://ai.getlynks.io/api/tasks/attribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"category_identifier": "<string>",
"product_description": "<string>",
"context_language": "<string>",
"extraction": [
{
"attribute_identifier": "<string>",
"requirement_level": "<string>",
"value_identifier": "<string>",
"value_raw": "<string>",
"value_unit": "<string>",
"reasoning": "<string>"
}
],
"attribute_count": 123,
"attributes": [
{
"identifier": "<string>",
"requirement_level": "<string>",
"languages": {
"en": {
"name": "<string>"
},
"de": {
"name": "<string>"
},
"fr": {
"name": "<string>"
},
"it": {
"name": "<string>"
}
},
"value_count": 123,
"values": [
{
"identifier": "<string>",
"languages": {
"en": {
"name": "<string>"
},
"de": {
"name": "<string>"
},
"fr": {
"name": "<string>"
},
"it": {
"name": "<string>"
}
}
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Attributes
Attribution Task
Endpoint for Attribution of Products for a Specific Sales Channel, it provides attribution for products, specifically tailored to the requirements of different sales channels. It extracts the desired attributes for a product, based on its description and the specified sales channel.
POST
/
tasks
/
attribution
Attribution Task
Authorizations
APIKey & OpenAIKeyAPIKey
Query Parameters
The category assigned to the item
Flag indicating if to add recommended attributes to the process
Flag indicating if to add optional attributes to the process
Body
application/json
A textual description of the item being categorized. This description is utilized to extract the available attributes.
Response
Product with extracted attributes.
⌘I